#### 3.17.13 GNU/Linux Options

These ‘`-m`’ options are defined for GNU/Linux targets:

`-mglibc`
  Use the GNU C library. This is the default except on ‘`*-*-linux-*uclibc*`’ and ‘`*-*-linux-*android*`’ targets.
`-muclibc`
  Use uClibc C library. This is the default on ‘`*-*-linux-*uclibc*`’ targets.
`-mbionic`
  Use Bionic C library. This is the default on ‘`*-*-linux-*android*`’ targets.
`-mandroid`
  Compile code compatible with Android platform. This is the default on ‘`*-*-linux-*android*`’ targets.

  When compiling, this option enables `-mbionic`, `-fPIC`, `-fno-exceptions` and `-fno-rtti` by default. When linking, this option makes the GCC driver pass Android-specific options to the linker. Finally, this option causes the preprocessor macro `__ANDROID__` to be defined.

`-tno-android-cc`
  Disable compilation effects of `-mandroid`, i.e., do not enable `-mbionic`, `-fPIC`, `-fno-exceptions` and `-fno-rtti` by default.
`-tno-android-ld`
  Disable linking effects of `-mandroid`, i.e., pass standard Linux linking options to the linker.